//  Copyright 2019 Kakao Corp.
//
//  Licensed under the Apache License, Version 2.0 (the "License");
//  you may not use this file except in compliance with the License.
//  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS,
//  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  See the License for the specific language governing permissions and
//  limitations under the License.

import UIKit
import Foundation
import KakaoSDKCommon
import KakaoPartnerSDKCommon

import CryptoKit

extension CertDemoAppKey {
    //    sandbox
    //    a730e56eaa1d28d09128bc6febb0e7ac (207933)  //이용기관테스트앱 서명only sandbox
    //    93c0d6a6114ea95cbb507cfa6a7f6b17 (208278)  //n동 4층 주식회사
    //
    //    cbt
    //    28a88afd4adb1df9701d14e8e615ffaf (644363)
    //    ca0baf00ead5aeda472f045e65ce2c11 (865425)
    //
    //    prod
    //    28a88afd4adb1df9701d14e8e615ffaf (644363)
    //    ca0baf00ead5aeda472f045e65ce2c11 (865425)
    
    
    public convenience init(phase:Phase) {
        switch phase {
        case .Dev:
            self.init(appKeys:["",""])
        case .Sandbox:
            self.init(appKeys:["a730e56eaa1d28d09128bc6febb0e7ac","93c0d6a6114ea95cbb507cfa6a7f6b17"])
        case .Cbt:
            self.init(appKeys:["28a88afd4adb1df9701d14e8e615ffaf","ca0baf00ead5aeda472f045e65ce2c11"])
        default:
            self.init()
        }
    }
}

extension CertDemoHost {
    /// 원하는 phase에 대한 호스트 정보를 생성합니다.
    public convenience init(phase:Phase) {
        switch phase {
        case .Dev:
            self.init(domain: "")
        case .Sandbox:
            self.init(domain: "zert-mock.sandbox.onkakao.net")
        case .Cbt:
            self.init(domain: "cbt-zert-mock.dev.onkakao.net")
        default:
            self.init()
        }
    }
}
